package models

type APICredentials struct {
    User        string  `json:"user"`
    Password    string  `json:"password"`
}

type APIMeta struct {
    Count   int     `json:"count"`
    Page    int     `json:"page"`
}

type APIError struct {
    Message string  `json:"message"`
    Code    int     `json:"code"`
}

type APIResponse struct {
    Data    []interface{}   `json:"data"`
    Meta    APIMeta         `json:"meta"`
    Error   APIError        `json:"error"`
}
